# pn_log_audit_exception – CLI command to create/delete an audit exception

New in version 2.9.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to create an audit exception and delete an audit exception.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

pn_access
string / required

Choices:
- any
- read-only
- read-write

Specify the access type to match exceptions.

pn_audit_type
string

Choices:
- cli
- shell
- vtysh

Specify the type of audit exception.

pn_cliswitch string |  | Target switch to run the CLI on.
pn_pattern string |  | Specify a regular expression to match exceptions.

pn_scope
string

Choices:
- local
- fabric

scope - local or fabric.

state
string

Choices:
- present ←
- absent

State the action to perform. Use 'present' to create audit-exception and 'absent' to delete audit-exception.

## Examples

    - name: create a log-audit-exception
      pn_log_audit_exception:
        pn_audit_type: "cli"
        pn_pattern: "test"
        state: "present"
        pn_access: "any"
        pn_scope: "local"

    - name: delete a log-audit-exception
      pn_log_audit_exception:
        pn_audit_type: "shell"
        pn_pattern: "test"
        state: "absent"
        pn_access: "any"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the log_audit_exceptions command.
stdout list | always | set of responses from the pn_log_audit_exceptions command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.